Bug 1349266 - NetworkManager adds extra options while bonding mode=6, which causes extra warning
Summary: NetworkManager adds extra options while bonding mode=6, which causes extra wa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.2
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Francesco Giudici
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1393481
TreeView+ depends on / blocked
 
Reported: 2016-06-23 06:08 UTC by masanari iida
Modified: 2017-08-01 09:17 UTC (History)
9 users (show)

Fixed In Version: NetworkManager-1.8.0-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:17:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC

Description masanari iida 2016-06-23 06:08:03 UTC
Description of problem:
RHEL7.2

Version-Release number of selected component (if applicable):
NetworkManager-1.0.6-27.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
(1) Configure bonding (mode 6)
# nmcli connection add type bond autoconnect no con-name bond0 ifname bond0 mode 6
# nmcli connection add type bond-slave autoconnect no ifname eno16777736 master bond0
# nmcli connection add type bond-slave autoconnect no ifname eno33554992 master bond0

(2) Manually change "ONBOOT=no" to "ONBOOT=yes" in
ifcfg-bond0 and ifcfg-bond-slave-eno files.

(3)Check configuration file.
Confirm no "arp_validate" option in  ifcfg-bond0 file.

# cat /etc/sysconfig/network-scripts/ifcfg-bond0
DEVICE=bond0
TYPE=Bond
BONDING_MASTER=yes
BOOTPROTO=static
DEFROUTE=yes
IPV4_FAILURE_FATAL=no
IPV6INIT=yes
IPV6_AUTOCONF=yes
IPV6_DEFROUTE=yes
IPV6_FAILURE_FATAL=no
NAME=bond0
UUID=f99d7a7f-4a5e-4e49-8a6a-6f8196ee2007
ONBOOT=no
BONDING_OPTS=mode=balance-alb   <== 
IPADDR=192.168.78.158
PREFIX=24
GATEWAY=192.168.78.1
IPV6_PEERDNS=yes
IPV6_PEERROUTES=yes

(4) Enable the bonding
# nmcli c mod bond0 ipv4.method manual ipv4.address "192.168.78.158/24" ipv4.gateway "192.168.78.1"

(5) After reboot,  I can find the same messages in messages.

Actual results:
bond0: option arp_validate: mode dependency failed, not supported in mode balance-alb(6)

Expected results:
No warning about arp_validate in mode=6.

Additional information

nm-device-bond.c
        value = nm_setting_bond_get_option_by_name (s_bond, NM_SETTING_BOND_OPTION_ARP_VALIDATE);
        /* arp_validate > 0 only valid in active-backup mode */
        if (   value
            && g_strcmp0 (value, "0") != 0
            && g_strcmp0 (value, "none") != 0
            && g_strcmp0 (mode, "active-backup") == 0)
                set_bond_attr (device, "arp_validate", value);
        else
                set_bond_attr (device, "arp_validate", "0");    <=

Comment 2 Francesco Giudici 2017-03-25 09:38:37 UTC
This issue has been already addressed in the solution for:
https://bugzilla.redhat.com/show_bug.cgi?id=1352131

Current 7.3 release should already contain the fix.

Comment 3 errata-xmlrpc 2017-08-01 09:17:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.